%
% Lese inn maalinger for frontplate 0, A, B og C
% Scriptet lagrer frekvensresponsene for maalingene i .mat-fil
% 

% Blanke ut Workspace
clear all;
close all;

% Plassering av maaledata
filepath = cellstr('E:\Dropbox\Masteroppgave\Matlab\Measurement\2014-05-29\');


% Plassering av maalinger
dirpath = cellstr(['\Frittfeltmal\';'\Frontplate_0\';'\Frontplate_A\';'\Frontplate_B\';'\Frontplate_C\']);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


% Filnavn for 'frittfelt'-maalinger - felles for alle frontplate
frittsign = cellstr(['frittfelt_pos_00_sign_1.wmb';'frittfelt_pos_00_sign_2.wmb';'frittfelt_pos_01_sign_1.wmb';'frittfelt_pos_01_sign_2.wmb'; ...
'frittfelt_pos_02_sign_1.wmb';'frittfelt_pos_02_sign_2.wmb';'frittfelt_pos_03_sign_1.wmb';'frittfelt_pos_03_sign_2.wmb';'frittfelt_pos_04_sign_1.wmb';...
'frittfelt_pos_04_sign_2.wmb';'frittfelt_pos_05_sign_1.wmb';'frittfelt_pos_05_sign_2.wmb';'frittfelt_pos_06_sign_1.wmb';'frittfelt_pos_06_sign_2.wmb';...
'frittfelt_pos_07_sign_1.wmb';'frittfelt_pos_07_sign_2.wmb';'frittfelt_pos_08_sign_1.wmb';'frittfelt_pos_08_sign_2.wmb';'frittfelt_pos_09_sign_1.wmb';...
'frittfelt_pos_09_sign_2.wmb';'frittfelt_pos_10_sign_1.wmb';'frittfelt_pos_10_sign_2.wmb']);

% Filnavn for 'signal'-maalinger for frontplate 0
signfile_0 =  cellstr(['fp_0_pos_00_sign_1.wmb';'fp_0_pos_00_sign_2.wmb';'fp_0_pos_01_sign_1.wmb';'fp_0_pos_01_sign_2.wmb'; ...
'fp_0_pos_02_sign_1.wmb';'fp_0_pos_02_sign_2.wmb';'fp_0_pos_03_sign_1.wmb';'fp_0_pos_03_sign_2.wmb';'fp_0_pos_04_sign_1.wmb';...
'fp_0_pos_04_sign_2.wmb';'fp_0_pos_05_sign_1.wmb';'fp_0_pos_05_sign_2.wmb';'fp_0_pos_06_sign_1.wmb';'fp_0_pos_06_sign_2.wmb';...
'fp_0_pos_07_sign_1.wmb';'fp_0_pos_07_sign_2.wmb';'fp_0_pos_08_sign_1.wmb';'fp_0_pos_08_sign_2.wmb';'fp_0_pos_09_sign_1.wmb';...
'fp_0_pos_09_sign_2.wmb';'fp_0_pos_10_sign_1.wmb';'fp_0_pos_10_sign_2.wmb']);

% Filnavn for 'stoy'-maalinger for frontplate 0
stoy_0 =  cellstr(['fp_0_pos_00_stoy_1.wmb';'fp_0_pos_00_stoy_2.wmb';'fp_0_pos_01_stoy_1.wmb';'fp_0_pos_01_stoy_2.wmb'; ...
'fp_0_pos_02_stoy_1.wmb';'fp_0_pos_02_stoy_2.wmb';'fp_0_pos_03_stoy_1.wmb';'fp_0_pos_03_stoy_2.wmb';'fp_0_pos_04_stoy_1.wmb';...
'fp_0_pos_04_stoy_2.wmb';'fp_0_pos_05_stoy_1.wmb';'fp_0_pos_05_stoy_2.wmb';'fp_0_pos_06_stoy_1.wmb';'fp_0_pos_06_stoy_2.wmb';...
'fp_0_pos_07_stoy_1.wmb';'fp_0_pos_07_stoy_2.wmb';'fp_0_pos_08_stoy_1.wmb';'fp_0_pos_08_stoy_2.wmb';'fp_0_pos_09_stoy_1.wmb';...
'fp_0_pos_09_stoy_2.wmb';'fp_0_pos_10_stoy_1.wmb';'fp_0_pos_10_stoy_2.wmb']);

% Filnavn for 'signal'-maalinger for frontplate A
signfile_a =  cellstr(['fp_a_pos_0_sign_1.wmb';'fp_a_pos_0_sign_2.wmb';'fp_a_pos_1_sign_1.wmb';'fp_a_pos_1_sign_2.wmb'; ...
'fp_a_pos_2_sign_1.wmb';'fp_a_pos_2_sign_2.wmb';'fp_a_pos_3_sign_1.wmb';'fp_a_pos_3_sign_2.wmb';'fp_a_pos_4_sign_1.wmb';...
'fp_a_pos_4_sign_2.wmb';'fp_a_pos_5_sign_1.wmb';'fp_a_pos_5_sign_2.wmb';'fp_a_pos_6_sign_1.wmb';'fp_a_pos_6_sign_2.wmb';...
'fp_a_pos_7_sign_1.wmb';'fp_a_pos_7_sign_2.wmb']);

% Filnavn for 'stoy'-maalinger for frontplate A
stoy_a =  cellstr(['fp_a_pos_0_stoy_1.wmb';'fp_a_pos_0_stoy_2.wmb';'fp_a_pos_1_stoy_1.wmb';'fp_a_pos_1_stoy_2.wmb'; ...
'fp_a_pos_2_stoy_1.wmb';'fp_a_pos_2_stoy_2.wmb';'fp_a_pos_3_stoy_1.wmb';'fp_a_pos_3_stoy_2.wmb';'fp_a_pos_4_stoy_1.wmb';...
'fp_a_pos_4_stoy_2.wmb';'fp_a_pos_5_stoy_1.wmb';'fp_a_pos_5_stoy_2.wmb';'fp_a_pos_6_stoy_1.wmb';'fp_a_pos_6_stoy_2.wmb';...
'fp_a_pos_7_stoy_1.wmb';'fp_a_pos_7_stoy_2.wmb']);

% Filnavn for 'signal'-maalinger for frontplate B
signfile_b =  cellstr(['fp_b_pos_0_sign_1.wmb';'fp_b_pos_0_sign_2.wmb';'fp_b_pos_1_sign_1.wmb';'fp_b_pos_1_sign_2.wmb'; ...
'fp_b_pos_2_sign_1.wmb';'fp_b_pos_2_sign_2.wmb';'fp_b_pos_3_sign_1.wmb';'fp_b_pos_3_sign_2.wmb';'fp_b_pos_4_sign_1.wmb';...
'fp_b_pos_4_sign_2.wmb';'fp_b_pos_5_sign_1.wmb';'fp_b_pos_5_sign_2.wmb';'fp_b_pos_6_sign_1.wmb';'fp_b_pos_6_sign_2.wmb';...
'fp_b_pos_7_sign_1.wmb';'fp_b_pos_7_sign_2.wmb']);

% Filnavn for 'stoy'-maalinger for frontplate B
stoy_b =  cellstr(['fp_b_pos_0_stoy_1.wmb';'fp_b_pos_0_stoy_2.wmb';'fp_b_pos_1_stoy_1.wmb';'fp_b_pos_1_stoy_2.wmb'; ...
'fp_b_pos_2_stoy_1.wmb';'fp_b_pos_2_stoy_2.wmb';'fp_b_pos_3_stoy_1.wmb';'fp_b_pos_3_stoy_2.wmb';'fp_b_pos_4_stoy_1.wmb';...
'fp_b_pos_4_stoy_2.wmb';'fp_b_pos_5_stoy_1.wmb';'fp_b_pos_5_stoy_2.wmb';'fp_b_pos_6_stoy_1.wmb';'fp_b_pos_6_stoy_2.wmb';...
'fp_b_pos_7_stoy_1.wmb';'fp_b_pos_7_stoy_2.wmb']);

% Filnavn for 'signal'-maalinger for frontplate C
signfile_c =  cellstr(['fp_c_pos_0_sign_1.wmb';'fp_c_pos_0_sign_2.wmb';'fp_c_pos_1_sign_1.wmb';'fp_c_pos_1_sign_2.wmb'; ...
'fp_c_pos_2_sign_1.wmb';'fp_c_pos_2_sign_2.wmb';'fp_c_pos_3_sign_1.wmb';'fp_c_pos_3_sign_2.wmb';'fp_c_pos_4_sign_1.wmb';...
'fp_c_pos_4_sign_2.wmb';'fp_c_pos_5_sign_1.wmb';'fp_c_pos_5_sign_2.wmb';'fp_c_pos_6_sign_1.wmb';'fp_c_pos_6_sign_2.wmb';...
'fp_c_pos_7_sign_1.wmb';'fp_c_pos_7_sign_2.wmb';'fp_c_pos_8_sign_1.wmb';'fp_c_pos_8_sign_2.wmb']);

% Filnavn for 'stoy'-maalinger for frontplate C
stoy_c =  cellstr(['fp_c_pos_0_stoy_1.wmb';'fp_c_pos_0_stoy_2.wmb';'fp_c_pos_1_stoy_1.wmb';'fp_c_pos_1_stoy_2.wmb'; ...
'fp_c_pos_2_stoy_1.wmb';'fp_c_pos_2_stoy_2.wmb';'fp_c_pos_3_stoy_1.wmb';'fp_c_pos_3_stoy_2.wmb';'fp_c_pos_4_stoy_1.wmb';...
'fp_c_pos_4_stoy_2.wmb';'fp_c_pos_5_stoy_1.wmb';'fp_c_pos_5_stoy_2.wmb';'fp_c_pos_6_stoy_1.wmb';'fp_c_pos_6_stoy_2.wmb';...
'fp_c_pos_7_stoy_1.wmb';'fp_c_pos_7_stoy_2.wmb';'fp_c_pos_8_stoy_1.wmb';'fp_c_pos_8_stoy_2.wmb']);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Generere filplasseringer for 'frittsignal'-maalinger
for j=1:length(frittsign)
	frittsignfilnavn(j) = fullfile(filepath,dirpath(1),frittsign(j));
end

clear j;


% Generere filplasseringer for 'signal'-maalinger for frontplate 0
for j=1:length(signfile_0)
	signfilnavn_0(j) = fullfile(filepath,dirpath(2),signfile_0(j));
end

clear j;


% Generere filplasseringer for 'stoy'-maalinger for frontplate 0
for j=1:length(stoy_0)
	stoyfilnavn_0(j) = fullfile(filepath,dirpath(2),stoy_0(j));
end

clear j;


% Generere filplasseringer for 'signal'-maalinger for frontplate A
for j=1:length(signfile_a)
	signfilnavn_a(j) = fullfile(filepath,dirpath(3),signfile_a(j));
end

clear j;


% Generere filplasseringer for 'stoy'-maalinger for frontplate A
for j=1:length(stoy_a)
	stoyfilnavn_a(j) = fullfile(filepath,dirpath(3),stoy_a(j));
end

clear j;

% Generere filplasseringer for 'signal'-maalinger for frontplate B
for j=1:length(signfile_b)
	signfilnavn_b(j) = fullfile(filepath,dirpath(4),signfile_b(j));
end

clear j;


% Generere filplasseringer for 'stoy'-maalinger for frontplate B
for j=1:length(stoy_b)
	stoyfilnavn_b(j) = fullfile(filepath,dirpath(4),stoy_b(j));
end

clear j;

% Generere filplasseringer for 'signal'-maalinger for frontplate C
for j=1:length(signfile_c)
	signfilnavn_c(j) = fullfile(filepath,dirpath(5),signfile_c(j));
end

clear j;


% Generere filplasseringer for 'stoy'-maalinger for frontplate B
for j=1:length(stoy_c)
	stoyfilnavn_c(j) = fullfile(filepath,dirpath(5),stoy_c(j));
end

clear j;


% Lese inn 'frittsign'-maalinger
for i = 1:length(frittsignfilnavn)
	[ir_frittsign(:,i),Fs(i)]=loadimp(char(frittsignfilnavn(i)));
end

clear i;


% Lese inn 'sign'-maalinger for frontplate 0
for i = 1:length(signfilnavn_0)
	[ir_sign_0(:,i),Fs(i)]=loadimp(char(signfilnavn_0(i)));
end

clear i;


% Lese inn 'stoy'-maalinger for frontplate 0
for i = 1: length(stoyfilnavn_0)
	[ir_stoy_0(:,i),Fs(i)]=loadimp(char(stoyfilnavn_0(i)));
end

clear i;

% Lese inn 'sign'-maalinger for frontplate A
for i = 1:length(signfilnavn_a)
	[ir_sign_a(:,i),Fs(i)]=loadimp(char(signfilnavn_a(i)));
end

clear i;


% Lese inn 'stoy'-maalinger for frontplate A
for i = 1: length(stoyfilnavn_a)
	[ir_stoy_a(:,i),Fs(i)]=loadimp(char(stoyfilnavn_a(i)));
end

clear i;

% Lese inn 'sign'-maalinger for frontplate B
for i = 1:length(signfilnavn_b)
	[ir_sign_b(:,i),Fs(i)]=loadimp(char(signfilnavn_b(i)));
end

clear i;


% Lese inn 'stoy'-maalinger for frontplate B
for i = 1: length(stoyfilnavn_b)
	[ir_stoy_b(:,i),Fs(i)]=loadimp(char(stoyfilnavn_b(i)));
end

clear i;

% Lese inn 'sign'-maalinger for frontplate C
for i = 1:length(signfilnavn_c)
	[ir_sign_c(:,i),Fs(i)]=loadimp(char(signfilnavn_c(i)));
end

clear i;


% Lese inn 'stoy'-maalinger for frontplate C
for i = 1: length(stoyfilnavn_c)
	[ir_stoy_c(:,i),Fs(i)]=loadimp(char(stoyfilnavn_c(i)));
end

clear i;


% Finne toppunkt til impulsresponsene

for i = 1:size(ir_frittsign,2)
	ir_fritt_peak(i) = findinit(ir_frittsign(:,i).^2,0.0001);
end
clear i;

for i = 1:size(ir_sign_0,2)
	ir_sign_0_peak(i) = findinit(ir_sign_0(:,i).^2,0.0001);
end
clear i;

for i = 1:size(ir_sign_a,2)
	ir_sign_a_peak(i) = findinit(ir_sign_a(:,i).^2,0.0001);
end
clear i;

for i = 1:size(ir_sign_b,2)
	ir_sign_b_peak(i) = findinit(ir_sign_b(:,i).^2,0.0001);
end
clear i;

for i = 1:size(ir_sign_c,2)
	ir_sign_c_peak(i) = findinit(ir_sign_c(:,i).^2,0.0001);
end
clear i;


% Fs i tusendeler
Fsk = Fs(1)./1000;


nfft = 16384;
measure_nfft = nfft;
measure_Fs = Fs(1);

%Angi tre nivaaer for tidsvinduer - alle tidsvindu har lengde 1 ms foer peak
w=7; %Tidsvindu etter peak i ms
w2=1; %Tidsvindu etter peak i ms
w3=3; %Tidsinvud etter peak i ms



%2 ms tidsvindu
for i = 1:size(ir_sign_0,2)
	ir_frittsign_F_2ms(:,i) = fft(ir_frittsign(ir_fritt_peak-Fsk:ir_fritt_peak+(Fsk*w2),i),nfft);
	ir_sign_F_0_2ms(:,i) = fft(ir_sign_0(ir_sign_0_peak(i)-Fsk:ir_sign_0_peak(i)+(Fsk*w2),i),nfft);
	ir_stoy_F_0_2ms(:,i) = fft(ir_stoy_0(ir_sign_0_peak(i)-Fsk:ir_sign_0_peak(i)+(Fsk*w2),i),nfft);
end
clear i;

for i = 1:size(ir_sign_a,2)
	ir_sign_F_a_2ms(:,i) = fft(ir_sign_a(ir_sign_a_peak(i)-Fsk:ir_sign_a_peak(i)+(Fsk*w2),i),nfft);
	ir_stoy_F_a_2ms(:,i) = fft(ir_stoy_a(ir_sign_a_peak(i)-Fsk:ir_sign_a_peak(i)+(Fsk*w2),i),nfft);
end
clear i;

for i = 1:size(ir_sign_b,2)
	ir_sign_F_b_2ms(:,i) = fft(ir_sign_b(ir_sign_b_peak(i)-Fsk:ir_sign_b_peak(i)+(Fsk*w2),i),nfft);
	ir_stoy_F_b_2ms(:,i) = fft(ir_stoy_b(ir_sign_b_peak(i)-Fsk:ir_sign_b_peak(i)+(Fsk*w2),i),nfft);
end
clear i;

for i = 1:size(ir_sign_c,2)
	ir_sign_F_c_2ms(:,i) = fft(ir_sign_c(ir_sign_c_peak(i)-Fsk:ir_sign_c_peak(i)+(Fsk*w2),i),nfft);
	ir_stoy_F_c_2ms(:,i) = fft(ir_stoy_c(ir_sign_c_peak(i)-Fsk:ir_sign_c_peak(i)+(Fsk*w2),i),nfft);
end
clear i;


measure_frittsign_2ms = abs(ir_frittsign_F_2ms(1:nfft/2+1,:));
measure_0_sign_2ms = abs(ir_sign_F_0_2ms(1:nfft/2+1,:));
measure_0_stoy_2ms = abs(ir_stoy_F_0_2ms(1:nfft/2+1,:));
measure_a_sign_2ms = abs(ir_sign_F_a_2ms(1:nfft/2+1,:));
measure_a_stoy_2ms = abs(ir_stoy_F_a_2ms(1:nfft/2+1,:));
measure_b_sign_2ms = abs(ir_sign_F_b_2ms(1:nfft/2+1,:));
measure_b_stoy_2ms = abs(ir_stoy_F_b_2ms(1:nfft/2+1,:));
measure_c_sign_2ms = abs(ir_sign_F_c_2ms(1:nfft/2+1,:));
measure_c_stoy_2ms = abs(ir_stoy_F_c_2ms(1:nfft/2+1,:));


%4 ms tidsvindu
for i = 1:size(ir_sign_0,2)
	ir_frittsign_F_4ms(:,i) = fft(ir_frittsign(ir_fritt_peak-Fsk:ir_fritt_peak+(Fsk*w3),i),nfft);
	ir_sign_F_0_4ms(:,i) = fft(ir_sign_0(ir_sign_0_peak(i)-Fsk:ir_sign_0_peak(i)+(Fsk*w3),i),nfft);
	ir_stoy_F_0_4ms(:,i) = fft(ir_stoy_0(ir_sign_0_peak(i)-Fsk:ir_sign_0_peak(i)+(Fsk*w3),i),nfft);
end
clear i;

for i = 1:size(ir_sign_a,2)
	ir_sign_F_a_4ms(:,i) = fft(ir_sign_a(ir_sign_a_peak(i)-Fsk:ir_sign_a_peak(i)+(Fsk*w3),i),nfft);
	ir_stoy_F_a_4ms(:,i) = fft(ir_stoy_a(ir_sign_a_peak(i)-Fsk:ir_sign_a_peak(i)+(Fsk*w3),i),nfft);
end
clear i;

for i = 1:size(ir_sign_b,2)
	ir_sign_F_b_4ms(:,i) = fft(ir_sign_b(ir_sign_b_peak(i)-Fsk:ir_sign_b_peak(i)+(Fsk*w3),i),nfft);
	ir_stoy_F_b_4ms(:,i) = fft(ir_stoy_b(ir_sign_b_peak(i)-Fsk:ir_sign_b_peak(i)+(Fsk*w3),i),nfft);
end
clear i;

for i = 1:size(ir_sign_c,2)
	ir_sign_F_c_4ms(:,i) = fft(ir_sign_c(ir_sign_c_peak(i)-Fsk:ir_sign_c_peak(i)+(Fsk*w3),i),nfft);
	ir_stoy_F_c_4ms(:,i) = fft(ir_stoy_c(ir_sign_c_peak(i)-Fsk:ir_sign_c_peak(i)+(Fsk*w3),i),nfft);
end
clear i;


measure_frittsign_4ms = abs(ir_frittsign_F_4ms(1:nfft/2+1,:));
measure_0_sign_4ms = abs(ir_sign_F_0_4ms(1:nfft/2+1,:));
measure_0_stoy_4ms = abs(ir_stoy_F_0_4ms(1:nfft/2+1,:));
measure_a_sign_4ms = abs(ir_sign_F_a_4ms(1:nfft/2+1,:));
measure_a_stoy_4ms = abs(ir_stoy_F_a_4ms(1:nfft/2+1,:));
measure_b_sign_4ms = abs(ir_sign_F_b_4ms(1:nfft/2+1,:));
measure_b_stoy_4ms = abs(ir_stoy_F_b_4ms(1:nfft/2+1,:));
measure_c_sign_4ms = abs(ir_sign_F_c_4ms(1:nfft/2+1,:));
measure_c_stoy_4ms = abs(ir_stoy_F_c_4ms(1:nfft/2+1,:));


%8 ms tidsvindu
for i = 1:size(ir_sign_0,2)
	ir_frittsign_F_8ms(:,i) = fft(ir_frittsign(ir_fritt_peak-Fsk:ir_fritt_peak+(Fsk*w),i),nfft);
	ir_sign_F_0_8ms(:,i) = fft(ir_sign_0(ir_sign_0_peak(i)-Fsk:ir_sign_0_peak(i)+(Fsk*w),i),nfft);
	ir_stoy_F_0_8ms(:,i) = fft(ir_stoy_0(ir_sign_0_peak(i)-Fsk:ir_sign_0_peak(i)+(Fsk*w),i),nfft);
end
clear i;

for i = 1:size(ir_sign_a,2)
	ir_sign_F_a_8ms(:,i) = fft(ir_sign_a(ir_sign_a_peak(i)-Fsk:ir_sign_a_peak(i)+(Fsk*w),i),nfft);
	ir_stoy_F_a_8ms(:,i) = fft(ir_stoy_a(ir_sign_a_peak(i)-Fsk:ir_sign_a_peak(i)+(Fsk*w),i),nfft);
end
clear i;

for i = 1:size(ir_sign_b,2)
	ir_sign_F_b_8ms(:,i) = fft(ir_sign_b(ir_sign_b_peak(i)-Fsk:ir_sign_b_peak(i)+(Fsk*w),i),nfft);
	ir_stoy_F_b_8ms(:,i) = fft(ir_stoy_b(ir_sign_b_peak(i)-Fsk:ir_sign_b_peak(i)+(Fsk*w),i),nfft);
end
clear i;

for i = 1:size(ir_sign_c,2)
	ir_sign_F_c_8ms(:,i) = fft(ir_sign_c(ir_sign_c_peak(i)-Fsk:ir_sign_c_peak(i)+(Fsk*w),i),nfft);
	ir_stoy_F_c_8ms(:,i) = fft(ir_stoy_c(ir_sign_c_peak(i)-Fsk:ir_sign_c_peak(i)+(Fsk*w),i),nfft);
end
clear i;


measure_frittsign_8ms = abs(ir_frittsign_F_8ms(1:nfft/2+1,:));
measure_0_sign_8ms = abs(ir_sign_F_0_8ms(1:nfft/2+1,:));
measure_0_stoy_8ms = abs(ir_stoy_F_0_8ms(1:nfft/2+1,:));
measure_a_sign_8ms = abs(ir_sign_F_a_8ms(1:nfft/2+1,:));
measure_a_stoy_8ms = abs(ir_stoy_F_a_8ms(1:nfft/2+1,:));
measure_b_sign_8ms = abs(ir_sign_F_b_8ms(1:nfft/2+1,:));
measure_b_stoy_8ms = abs(ir_stoy_F_b_8ms(1:nfft/2+1,:));
measure_c_sign_8ms = abs(ir_sign_F_c_8ms(1:nfft/2+1,:));
measure_c_stoy_8ms = abs(ir_stoy_F_c_8ms(1:nfft/2+1,:));


save('measurement.mat','measure_frittsign_2ms','measure_0_sign_2ms','measure_0_stoy_2ms','measure_a_sign_2ms','measure_a_stoy_2ms',...
'measure_b_sign_2ms','measure_b_stoy_2ms','measure_c_sign_2ms','measure_c_stoy_2ms','measure_frittsign_4ms',...
'measure_0_sign_4ms','measure_0_stoy_4ms','measure_a_sign_4ms','measure_a_stoy_4ms', ...
'measure_b_sign_4ms','measure_b_stoy_4ms','measure_c_sign_4ms','measure_c_stoy_4ms','measure_frittsign_8ms',...
'measure_0_sign_8ms','measure_0_stoy_8ms','measure_a_sign_8ms','measure_a_stoy_8ms', ...
'measure_b_sign_8ms','measure_b_stoy_8ms','measure_c_sign_8ms','measure_c_stoy_8ms','measure_nfft','measure_Fs')
