close all;
clear all;

load('measurement.mat');
load('simulation_workspace_jm.mat');

fvecm = measure_Fs/measure_nfft * [0:measure_nfft/2];
fvecs = simulation_Fs/measure_nfft * [0:measure_nfft/2];


colorm = {'k','b','g','r','c','m','y'};
coloravvik = {'k','b','g','r','c','m','y',':k',':b',':g',':r',':c',':m',':y'};
colorm2 = {':k',':b',':g',':r',':c',':m',':y'};
colors = {'--k','--b','--g','--r','--c','--m','--y'};

legendavvik = {'Pos. 0','Pos. 1','Pos. 2','Pos. 3','Pos. 4','Pos. 5','Pos. 6','Pos. 7','Pos. 8','Pos. 9','Pos. 10'};
lw=1.00;
k=1;

%AVVIK FP0 FPA
figure(k)
subplot(2,1,1)
for i = 1:11
	gav0(:,i) = semilogx(fvecm,20*log10(abs(measure_0_sign_2ms(:,2*i-1)./measure_frittsign_2ms(:,(2*i-1))))-20*log10(abs(measure_0_sign_2ms(:,2*i)./measure_frittsign_2ms(:,(2*i)))),char(coloravvik(i)),'LineWidth',lw);
hold on
end
grid on
axis([100 24000 -5 5])

gav0=gav0(1,:);
	h=legend(gav0,legendavvik(1:11),'Location','NorthEastOutside');
	v = get(h,'title');
	set(v,'string','Tegnforklaringer');
	titlestring = sprintf('Avvik mellom to gjentagende maalinger med frontplate 0');
	title(titlestring)
	xlabel('Frekvens [Hz]')
	ylabel('Avvik [dB]')

clear i;

subplot(2,1,2)
for i = 1:8
	gava(:,i)=semilogx(fvecm,20*log10(abs(measure_a_sign_2ms(:,2*i-1)./measure_frittsign_2ms(:,(2*i-1))))-20*log10(abs(measure_a_sign_2ms(:,2*i)./measure_frittsign_2ms(:,(2*i)))),char(coloravvik(i)),'LineWidth',lw);
hold on
end
grid on
axis([100 24000 -5 5])

gava=gava(1,:);
	h=legend(gava,legendavvik(1:8),'Location','NorthEastOutside');
	v = get(h,'title');
	set(v,'string','Tegnforklaringer');
	titlestring = sprintf('Avvik mellom to gjentagende maalinger med frontplate A');
	title(titlestring)
	xlabel('Frekvens [Hz]')
	ylabel('Avvik [dB]')
	print -depsc2 'E:/Dropbox/Masteroppgave/Rapport/figs/results/fp0_fpa_avvik.eps'


k=k+1;

clear i;


%AVVIK FPB FPC
figure(k)
subplot(2,1,1)
for i = 1:8
	gavb(:,i) = semilogx(fvecm,20*log10(abs(measure_b_sign_2ms(:,2*i-1)./measure_frittsign_2ms(:,(2*i-1))))-20*log10(abs(measure_b_sign_2ms(:,2*i)./measure_frittsign_2ms(:,(2*i)))),char(coloravvik(i)),'LineWidth',lw);
hold on
end
grid on
axis([100 24000 -5 5])

gavb=gavb(1,:);
	h=legend(gavb,legendavvik(1:8),'Location','NorthEastOutside');
	v = get(h,'title');
	set(v,'string','Tegnforklaringer');
	titlestring = sprintf('Avvik mellom to gjentagende maalinger med frontplate B');
	title(titlestring)
	xlabel('Frekvens [Hz]')
	ylabel('Avvik [dB]')

clear i;

subplot(2,1,2)
for i = 1:9
	gavc(:,i)=semilogx(fvecm,20*log10(abs(measure_c_sign_2ms(:,2*i-1)./measure_frittsign_2ms(:,(2*i-1))))-20*log10(abs(measure_c_sign_2ms(:,2*i)./measure_frittsign_2ms(:,(2*i)))),char(coloravvik(i)),'LineWidth',lw);
hold on
end
grid on
axis([100 24000 -5 5])

gavc=gavc(1,:);
	h=legend(gavc,legendavvik(1:9),'Location','NorthEastOutside');
	v = get(h,'title');
	set(v,'string','Tegnforklaringer');
	titlestring = sprintf('Avvik mellom to gjentagende maalinger med frontplate C');
	title(titlestring)
	xlabel('Frekvens [Hz]')
	ylabel('Avvik [dB]')
	print -depsc2 'E:/Dropbox/Masteroppgave/Rapport/figs/results/fpb_fpc_avvik.eps'


k = k +1;




