close all;
clear all;

load('measurement.mat');
load('simulation_workspace_jm.mat');

fvecm = measure_Fs/measure_nfft * [0:measure_nfft/2];
fvecs = simulation_Fs/measure_nfft * [0:measure_nfft/2];


colorm = {'k','b','g','r','c','m','y'};
coloravvik = {'k','b','g','r','c','m','y',':k',':b',':g',':r',':c',':m',':y'};
colorm2 = {':k',':b',':g',':r',':c',':m',':y'};
colors = {'--k','--b','--g','--r','--c','--m','--y'};

legendavvik = {'Pos. 0','Pos. 1','Pos. 2','Pos. 3','Pos. 4','Pos. 5','Pos. 6','Pos. 7','Pos. 8','Pos. 9','Pos. 10'};

legendtekst4 = {'Frontplate 0','Frontplate A','Frontplate B','Frontplate C'};
lw=1.00;
k=1;




figure(k)
subplot(3,1,1)
g(:,1) = semilogx(fvecm,(20*log10(abs(simulation_0_jm(:,1)))), char(colorm(2)),'LineWidth',lw);
hold on
g(:,2) = semilogx(fvecm,(20*log10(abs(simulation_a_jm(:,1)))), char(colorm(3)),'LineWidth',lw);
g(:,3) = semilogx(fvecm,(20*log10(abs(simulation_b_jm(:,1)))), char(colorm(4)),'LineWidth',lw);
g(:,4) = semilogx(fvecm,(20*log10(abs(simulation_c_jm(:,1)))), char(colorm(5)),'LineWidth',lw);
grid on
axis([100 24000 -20 20])
xlabel('Frekvens [Hz]')
ylabel('Forsterkning [dB]')
titlestring = sprintf('Resultater fra simuleringer med alle frontplater med maalepinne - posisjon 0');
title(titlestring)
g=g(1,:);
h=legend(g,legendtekst4,'Location','NorthEastOutside');
v = get(h,'title');
set(v,'string','Tegnforklaringer');

clear g;

subplot(3,1,2)
g(:,1) = semilogx(fvecs,(20*log10(abs(simulation_0_jm_ump(:,1)))), char(colorm(2)),'LineWidth',lw);
hold on
g(:,2) = semilogx(fvecs,(20*log10(abs(simulation_a_jm_ump(:,1)))), char(colorm(3)),'LineWidth',lw);
g(:,3) = semilogx(fvecs,(20*log10(abs(simulation_b_jm_ump(:,1)))), char(colorm(4)),'LineWidth',lw);
g(:,4) = semilogx(fvecs,(20*log10(abs(simulation_c_jm_ump(:,1)))), char(colorm(5)),'LineWidth',lw);
grid on
axis([100 24000 -20 20])
xlabel('Frekvens [Hz]')
ylabel('Forsterkning [dB]')
titlestring = sprintf('Resultater fra simuleringer med alle frontplater uten maalepinne - posisjon 0');
title(titlestring)
g=g(1,:);
h=legend(g,legendtekst4,'Location','NorthEastOutside');
v = get(h,'title');
set(v,'string','Tegnforklaringer');


str2 = sprintf('E:/Dropbox/Masteroppgave/Rapport/figs/results/fp0abc_pos0_simu.eps');
print('-depsc2', str2);

clear g;






k=k+1;






%AVVIM SIMULERINGER MED OG UTEN MAALEPINNE
figure(k)


subplot(2,1,1)
for i = 1:11
	gav0(:,i) = semilogx(fvecm,20*log10(abs(simulation_0_jm(:,i)))-20*log10(abs(simulation_0_jm_ump(:,i))),char(coloravvik(i)),'LineWidth',lw);
hold on
end
grid on
axis([100 24000 -10 0])

gav0=gav0(1,:);
	h=legend(gav0,legendavvik(1:11),'Location','NorthEastOutside');
	v = get(h,'title');
	set(v,'string','Tegnforklaringer');
	titlestring = sprintf('Avvik mellom simuleringer med og uten maalepinne med frontplate 0');
	title(titlestring)
	xlabel('Frekvens [Hz]')
	ylabel('Avvik [dB]')

clear i;

subplot(2,1,2)
for i = 1:8
	gava(:,i)= semilogx(fvecm,20*log10(abs(simulation_a_jm(:,i)))-20*log10(abs(simulation_a_jm_ump(:,i))),char(coloravvik(i)),'LineWidth',lw);
hold on
end
grid on
axis([100 24000 -10 0])

gava=gava(1,:);
	h=legend(gava,legendavvik(1:8),'Location','NorthEastOutside');
	v = get(h,'title');
	set(v,'string','Tegnforklaringer');
	titlestring = sprintf('Avvik mellom simuleringer med og uten maalepinne med frontplate A');
	title(titlestring)
	xlabel('Frekvens [Hz]')
	ylabel('Avvik [dB]')
	print -depsc2 'E:/Dropbox/Masteroppgave/Rapport/figs/results/fp0_fpa_avvik_simu.eps'


k=k+1;

clear i;





figure(k)


subplot(2,1,1)
for i = 1:8
	gavb(:,i) = semilogx(fvecm,20*log10(abs(simulation_b_jm(:,i)))-20*log10(abs(simulation_b_jm_ump(:,i))),char(coloravvik(i)),'LineWidth',lw);
hold on
end
grid on
axis([100 24000 -10 0])

gavb=gavb(1,:);
	h=legend(gavb,legendavvik(1:8),'Location','NorthEastOutside');
	v = get(h,'title');
	set(v,'string','Tegnforklaringer');
	titlestring = sprintf('Avvik mellom simuleringer med og uten maalepinne med frontplate B');
	title(titlestring)
	xlabel('Frekvens [Hz]')
	ylabel('Avvik [dB]')

clear i;

subplot(2,1,2)
for i = 1:9
	gavc(:,i)= semilogx(fvecm,20*log10(abs(simulation_c_jm(:,i)))-20*log10(abs(simulation_c_jm_ump(:,i))),char(coloravvik(i)),'LineWidth',lw);
hold on
end
grid on
axis([100 24000 -10 0])

gavc=gavc(1,:);
	h=legend(gavc,legendavvik(1:9),'Location','NorthEastOutside');
	v = get(h,'title');
	set(v,'string','Tegnforklaringer');
	titlestring = sprintf('Avvik mellom simuleringer med og uten maalepinne med frontplate C');
	title(titlestring)
	xlabel('Frekvens [Hz]')
	ylabel('Avvik [dB]')
	print -depsc2 'E:/Dropbox/Masteroppgave/Rapport/figs/results/fpb_fpc_avvik_simu.eps'


k=k+1;

clear i;







