% Skript som plotter frontplate omriss
% og mottakerposisjoner for mikrofoner
close all;
clear all;

% Frontplate 0 mikrofonplasseringer
fp0x = [0.0000 0.0100 0.0200 0.0300 0.0400 0.0500 0.0600 0.0700 0.0800 0.0900 0.1000].*1000;
fp0z = [0.0013 0.0013 0.0013 0.0013 0.0013 0.0013 0.0013 0.0013 0.0013 0.0013 0.0013].*1000;
% Frontplate 0 omriss
fp0xx = [-0.11 0 0.11].*1000;
fp0zz = [0 0 0].*1000;

% Frontplate A mikrofonplasseringer
fpax = [0.0000 0.0100 0.0200 0.0300 0.0400 0.0500 0.0600 0.0700].*1000;
fpaz = [-0.0387 -0.0387 -0.0387 -0.0387 -0.0387 -0.0387 -0.0387 -0.0387].*1000;
% Frontplate A omriss
fpaxx = [-0.110 -0.075 -0.075 0.000 0.075 0.075 0.110].*1000;
fpazz = [0 0 -.040 -.040 -.040 0 0].*1000;

% Frontplate B mikrofonplasseringer
fpbx = [0.0000 0.0100 0.0200 0.0300 0.0400 0.0500 0.0600 0.0700].*1000;
fpbz = [-0.0387 -0.0387 -0.0387 -0.0387 -0.0187 -0.0187 -0.0187 -0.0187].*1000;
% Frontplate B omriss
fpbxx = [-0.110 -0.075 -0.075 -0.0375 -0.0375 0 0.0375 0.0375 0.075 0.075 0.110].*1000;
fpbzz = [0 0 -.02 -.02  -.04 -.04 -.04 -.02 -.02 0 0].*1000;
     
% Frontplate C mikrofonplasseringer
fpcx = [0.0000 0.0100 0.0200 0.0281 0.0362 0.0443 0.0523 0.0604 0.0685].*1000;
fpcz = [-0.0387 -0.0387 -0.0387 -0.0328 -0.0269 -0.0211 -0.0152 -0.0093 -0.0034].*1000;
% Frontplate C omriss
fpcxx = [-0.11 -0.075 -0.02 0 0.02 0.075 0.11].*1000;
fpczz = [0 0 -.04 -.04 -.04 0 0].*1000;

% Plotting
%subplot(2,1,1)
plot(fp0x,fp0z,'o','LineWidth',1)
hold on
plot(fp0xx,fp0zz,'-','LineWidth',1)
plot(fpax,fpaz,'ks','LineWidth',1)
plot(fpaxx,fpazz,'--k','LineWidth',1)
plot(fpbx,fpbz,'rd','LineWidth',1)
plot(fpbxx,fpbzz,':r','LineWidth',1)
plot(fpcx,fpcz,'g*','LineWidth',1)
plot(fpcxx,fpczz,'-.g','LineWidth',1)
plot(fp0x,fp0z,'y+','LineWidth',1)
hold on
plot(fp0xx,fp0zz,'y-.','LineWidth',1)

axis equal
xlabel('x-akse - lengde [mm] - avstand fra origo');
ylabel('z-akse - dybde [mm] - avstand fra origo');
title('Omriss av frontplater (FP) og maalepinne (MP) med mikrofonplasseringer');

h=legend('FP0 - mikrofonplasseringer','FP0 - omriss','FPA - mikrofonplasseringer','FPA - omriss', ...
'FPB - mikrofonplasseringer','FPB - omriss','FPC - mikrofonplasseringer','FPC - omriss','MP  - omriss','MP  - mikrofonplasseringer','Location','NorthEastOutside');
v = get(h,'title');
set(v,'string','Tegnforklaringer');

%print -dpdf 'mottakararar.pdf'
print -depsc2 'E:\Dropbox\Masteroppgave\Rapport\figs\mottakerposisjoner.eps'
