close all;
clear all;

load('measurement.mat');
load('simulation_workspace_jm.mat');

fvecm = measure_Fs/measure_nfft * [0:measure_nfft/2];
fvecs = simulation_Fs/measure_nfft * [0:measure_nfft/2];


colorm = {'k','b','g','r','c','m','y'};
coloravvik = {'k','b','g','r','c','m','y',':k',':b',':g',':r',':c',':m',':y'};
colorm2 = {':k',':b',':g',':r',':c',':m',':y'};
colors = {'--k','--b','--g','--r','--c','--m','--y'};

legendavvik = {'Pos. 0','Pos. 1','Pos. 2','Pos. 3','Pos. 4','Pos. 5','Pos. 6','Pos. 7','Pos. 8','Pos. 9','Pos. 10'};
%legendtekst = {'Pos. 0 - maalt','Pos. 0 - simu.','Pos. 1 - maalt','Pos. 1 - simu.','Pos. 2 - maalt','Pos. 2 - simu.',...
%'Pos. 3 - maalt','Pos. 3 - simu.','Pos. 4 - maalt','Pos. 4 - simu.','Pos. 5 - maalt','Pos. 5 - simu.',...
%'Pos. 6 - maalt','Pos. 6 - simu.','Pos. 7 - maalt','Pos. 7 - simu.','Pos. 8 - maalt','Pos. 8 - simu.',...
%'Pos. 9 - maalt','Pos. 9 - simu.','Pos. 10 - maalt','Pos. 10 - simu.'};
%legendtekst = {'2 ms tidsvindu','4 ms tidsvindu','8 ms tidsvindu','Simulert'};
%legendtekst  = {' 2 ms tidsvindu',' 4 ms tidsvindu',' Simulert'};
legendtekst = {'Maaling 1 (M1)','Maaling 2 (M2)','Simulert (S)'};
legendtekst2 = {'Avvik M1-S','Avvik M2-S'};%,'4 ms - simulert', '2 ms - 2 ms','4 ms - 4 ms'};
legendtekst3 = {' 2 ms tidsvindu',' 4 ms tidsvindu'};
legendtekst4 = {'Frontplate 0','Frontplate A','Frontplate B','Frontplate C'};
lw=1.00;
%figure(1)
k=1;

figure(k)
subplot(3,1,1)
g(:,1) = semilogx(fvecm,(20*log10(abs(measure_0_sign_2ms(:,(1))./measure_frittsign_2ms(:,(1))))), char(colorm(2)),'LineWidth',lw);
hold on
g(:,2) = semilogx(fvecm,(20*log10(abs(measure_a_sign_2ms(:,(1))./measure_frittsign_2ms(:,(1))))), char(colorm(3)),'LineWidth',lw);
g(:,3) = semilogx(fvecm,(20*log10(abs(measure_b_sign_2ms(:,(1))./measure_frittsign_2ms(:,(1))))), char(colorm(4)),'LineWidth',lw);
g(:,4) = semilogx(fvecm,(20*log10(abs(measure_c_sign_2ms(:,(1))./measure_frittsign_2ms(:,(1))))), char(colorm(5)),'LineWidth',lw);
grid on
axis([100 24000 -20 20])
xlabel('Frekvens [Hz]')
ylabel('Forsterkning [dB]')
titlestring = sprintf('Resultater fra maalinger med alle frontplater - posisjon 0');
title(titlestring)
g=g(1,:);
h=legend(g,legendtekst4,'Location','NorthEastOutside');
v = get(h,'title');
set(v,'string','Tegnforklaringer');

clear g;

subplot(3,1,2)
g(:,1) = semilogx(fvecs,(20*log10(abs(simulation_0_jm(:,1)))), char(colorm(2)),'LineWidth',lw);
hold on
g(:,2) = semilogx(fvecs,(20*log10(abs(simulation_a_jm(:,1)))), char(colorm(3)),'LineWidth',lw);
g(:,3) = semilogx(fvecs,(20*log10(abs(simulation_b_jm(:,1)))), char(colorm(4)),'LineWidth',lw);
g(:,4) = semilogx(fvecs,(20*log10(abs(simulation_c_jm(:,1)))), char(colorm(5)),'LineWidth',lw);
grid on
axis([100 24000 -20 20])
xlabel('Frekvens [Hz]')
ylabel('Forsterkning [dB]')
titlestring = sprintf('Resultater fra simuleringer med alle frontplater - posisjon 0');
title(titlestring)
g=g(1,:);
h=legend(g,legendtekst4,'Location','NorthEastOutside');
v = get(h,'title');
set(v,'string','Tegnforklaringer');


str2 = sprintf('E:/Dropbox/Masteroppgave/Rapport/figs/results/fp0abc_pos0.eps');
print('-depsc2', str2);

clear g;

k=k+1;

for i = 1:11
figure(k)
subplot(3,1,1)
	g(:,1) = semilogx(fvecm,(20*log10(abs(measure_0_sign_2ms(:,(2*i-1))./measure_frittsign_2ms(:,(2*i-1))))), char(colorm(2)),'LineWidth',lw);
	hold on
	g(:,2) = semilogx(fvecm,(20*log10(abs(measure_0_sign_2ms(:,(2*i))./measure_frittsign_2ms(:,(2*i))))), char(colorm(3)),'LineWidth',lw);
	g(:,3) = semilogx(fvecs,(20*log10(abs(simulation_0_jm(:,i)))), char(colorm(4)),'LineWidth',lw);
	grid on
	axis([100 24000 -20 20])
	xlabel('Frekvens [Hz]')
	ylabel('Forsterkning [dB]')
	titlestring = sprintf('Resultater fra maalinger og simuleringer med frontplate 0 - posisjon %d', i-1);
	title(titlestring)
	g=g(1,:);
	h=legend(g,legendtekst,'Location','NorthEastOutside');
	v = get(h,'title');
	set(v,'string','Tegnforklaringer');

subplot(3,1,2)
	g2(:,1) = semilogx(fvecm,20*log10(abs(measure_0_sign_2ms(:,2*i-1)./measure_frittsign_2ms(:,(2*i-1))))-20*log10(abs(simulation_0_jm(:,i))), char(colorm(5)),'LineWidth',lw);
	hold on
	g2(:,2) = semilogx(fvecm,20*log10(abs(measure_0_sign_2ms(:,2*i)./measure_frittsign_2ms(:,(2*i))))-20*log10(abs(simulation_0_jm(:,i))), char(colorm(6)),'LineWidth',lw);
	axis([100 24000 -20 20])
	grid on
	g2=g2(1,:);
	h=legend(g2,legendtekst2,'Location','NorthEastOutside');
	v = get(h,'title');
	set(v,'string','Tegnforklaringer');
	titlestring = sprintf('Avvik mellom maalinger og simuleringer med frontplate 0 - posisjon %d', i-1);
	title(titlestring)
	xlabel('Frekvens [Hz]')
	ylabel('Avvik [dB]')

	str2 = sprintf('E:/Dropbox/Masteroppgave/Rapport/figs/results/fp0_pos_%d.eps',i-1);
	print('-depsc2', str2);

k=k+1;
end





for i = 1:8
figure(k)
subplot(3,1,1)
	g(:,1) = semilogx(fvecm,(20*log10(abs(measure_a_sign_2ms(:,(2*i-1))./measure_frittsign_2ms(:,(2*i-1))))), char(colorm(2)),'LineWidth',lw);
	hold on
	g(:,2) = semilogx(fvecm,(20*log10(abs(measure_a_sign_2ms(:,(2*i))./measure_frittsign_2ms(:,(2*i))))), char(colorm(3)),'LineWidth',lw);
	g(:,3) = semilogx(fvecs,(20*log10(abs(simulation_a_jm(:,i)))), char(colorm(4)),'LineWidth',lw);
	grid on
	axis([100 24000 -20 20])
	xlabel('Frekvens [Hz]')
	ylabel('Forsterkning [dB]')
	titlestring = sprintf('Resultater fra maalinger og simuleringer med frontplate A - posisjon %d', i-1);
	title(titlestring)
	g=g(1,:);
	h=legend(g,legendtekst,'Location','NorthEastOutside');
	v = get(h,'title');
	set(v,'string','Tegnforklaringer');

subplot(3,1,2)
	g2(:,1) = semilogx(fvecm,20*log10(abs(measure_a_sign_2ms(:,2*i-1)./measure_frittsign_2ms(:,(2*i-1))))-20*log10(abs(simulation_a_jm(:,i))), char(colorm(5)),'LineWidth',lw);
	hold on
	g2(:,2) = semilogx(fvecm,20*log10(abs(measure_a_sign_2ms(:,2*i)./measure_frittsign_2ms(:,(2*i))))-20*log10(abs(simulation_a_jm(:,i))), char(colorm(6)),'LineWidth',lw);
	axis([100 24000 -20 20])
	grid on
	g2=g2(1,:);
	h=legend(g2,legendtekst2,'Location','NorthEastOutside');
	v = get(h,'title');
	set(v,'string','Tegnforklaringer');
	titlestring = sprintf('Avvik mellom maalinger og simuleringer med frontplate A - posisjon %d', i-1);
	title(titlestring)
	xlabel('Frekvens [Hz]')
	ylabel('Avvik [dB]')

	str2 = sprintf('E:/Dropbox/Masteroppgave/Rapport/figs/results/fpa_pos_%d.eps',i-1);
	print('-depsc2', str2);

k=k+1;
end






for i = 1:8
figure(k)
subplot(3,1,1)
	g(:,1) = semilogx(fvecm,(20*log10(abs(measure_b_sign_2ms(:,(2*i-1))./measure_frittsign_2ms(:,(2*i-1))))), char(colorm(2)),'LineWidth',lw);
	hold on
	g(:,2) = semilogx(fvecm,(20*log10(abs(measure_b_sign_2ms(:,(2*i))./measure_frittsign_2ms(:,(2*i))))), char(colorm(3)),'LineWidth',lw);
	g(:,3) = semilogx(fvecs,(20*log10(abs(simulation_b_jm(:,i)))), char(colorm(4)),'LineWidth',lw);
	grid on
	axis([100 24000 -20 20])
	xlabel('Frekvens [Hz]')
	ylabel('Forsterkning [dB]')
	titlestring = sprintf('Resultater fra maalinger og simuleringer med frontplate B - posisjon %d', i-1);
	title(titlestring)
	g=g(1,:);
	h=legend(g,legendtekst,'Location','NorthEastOutside');
	v = get(h,'title');
	set(v,'string','Tegnforklaringer');

subplot(3,1,2)
	g2(:,1) = semilogx(fvecm,20*log10(abs(measure_b_sign_2ms(:,2*i-1)./measure_frittsign_2ms(:,(2*i-1))))-20*log10(abs(simulation_b_jm(:,i))), char(colorm(5)),'LineWidth',lw);
	hold on
	g2(:,2) = semilogx(fvecm,20*log10(abs(measure_b_sign_2ms(:,2*i)./measure_frittsign_2ms(:,(2*i))))-20*log10(abs(simulation_b_jm(:,i))), char(colorm(6)),'LineWidth',lw);
	axis([100 24000 -20 20])
	grid on
	g2=g2(1,:);
	h=legend(g2,legendtekst2,'Location','NorthEastOutside');
	v = get(h,'title');
	set(v,'string','Tegnforklaringer');
	titlestring = sprintf('Avvik mellom maalinger og simuleringer med frontplate B - posisjon %d', i-1);
	title(titlestring)
	xlabel('Frekvens [Hz]')
	ylabel('Avvik [dB]')

	str2 = sprintf('E:/Dropbox/Masteroppgave/Rapport/figs/results/fpb_pos_%d.eps',i-1);
	print('-depsc2', str2);

k=k+1;
end


for i = 1:9
figure(k)
subplot(3,1,1)
	g(:,1) = semilogx(fvecm,(20*log10(abs(measure_c_sign_2ms(:,(2*i-1))./measure_frittsign_2ms(:,(2*i-1))))), char(colorm(2)),'LineWidth',lw);
	hold on
	g(:,2) = semilogx(fvecm,(20*log10(abs(measure_c_sign_2ms(:,(2*i))./measure_frittsign_2ms(:,(2*i))))), char(colorm(3)),'LineWidth',lw);
	g(:,3) = semilogx(fvecs,(20*log10(abs(simulation_c_jm(:,i)))), char(colorm(4)),'LineWidth',lw);
	grid on
	axis([100 24000 -20 20])
	xlabel('Frekvens [Hz]')
	ylabel('Forsterkning [dB]')
	titlestring = sprintf('Resultater fra maalinger og simuleringer med frontplate C - posisjon %d', i-1);
	title(titlestring)
	g=g(1,:);
	h=legend(g,legendtekst,'Location','NorthEastOutside');
	v = get(h,'title');
	set(v,'string','Tegnforklaringer');

subplot(3,1,2)
	g2(:,1) = semilogx(fvecm,20*log10(abs(measure_c_sign_2ms(:,2*i-1)./measure_frittsign_2ms(:,(2*i-1))))-20*log10(abs(simulation_c_jm(:,i))), char(colorm(5)),'LineWidth',lw);
	hold on
	g2(:,2) = semilogx(fvecm,20*log10(abs(measure_c_sign_2ms(:,2*i)./measure_frittsign_2ms(:,(2*i))))-20*log10(abs(simulation_c_jm(:,i))), char(colorm(6)),'LineWidth',lw);
	axis([100 24000 -20 20])
	grid on
	g2=g2(1,:);
	h=legend(g2,legendtekst2,'Location','NorthEastOutside');
	v = get(h,'title');
	set(v,'string','Tegnforklaringer');
	titlestring = sprintf('Avvik mellom maalinger og simuleringer med frontplate C - posisjon %d', i-1);
	title(titlestring)
	xlabel('Frekvens [Hz]')
	ylabel('Avvik [dB]')

	str2 = sprintf('E:/Dropbox/Masteroppgave/Rapport/figs/results/fpc_pos_%d.eps',i-1);
	print('-depsc2', str2);

k=k+1;
end
