close all;
clear all;

load('measurement.mat');
load('simulation_workspace_jm.mat');
load('simulation_workspace_ps_fake.mat');
%load('simulation_workspace_ps.mat');

fvecm = measure_Fs/measure_nfft * [0:measure_nfft/2];
fvecs = simulation_Fs/measure_nfft * [0:measure_nfft/2];


colorm = {'k','b','g','r','c','m','y'};
colorm2 = {':k',':b',':g',':r',':c',':m',':y'};
colors = {'--k','--b','--g','--r','--c','--m','--y'};
legendtekst  = {'Maalt','Simulert - JM - qgauss','Simulert - PS'};
legendtekst2  = {'Maalt','Simulert - JM - qgauss','Simulert - PS','Simulert - JM - EDB1'};
%legendtekst2 = {'2 ms - simulert','4 ms - simulert', '2 ms - 2 ms','4 ms - 4 ms'};
%legendtekst3 = {' 2 ms tidsvindu',' 4 ms tidsvindu'};


lw=1.00; %LineWidth
k=1; %Figurenumber counter
printpath = 'E:/Dropbox/Masteroppgave/Rapport/figs/results/';
%printpath = '/Users/svensson/Documents/Projekt/Dokum_EDdatain/Frontplate/figs-ps/';
printing = 0; %turn on(=1) or off(=1) printing to .eps-file



for i = 1:11
figure(k)
	g(:,1) = semilogx(fvecm,(20*log10(abs(measure_0_sign_2ms(:,(2*i-1))./measure_frittsign_2ms(:,(2*i-1))))), char(colorm(2)),'LineWidth',lw);
	hold on
%	g(:,2) = semilogx(fvecm,(20*log10(abs(measure_0_sign_4ms(:,(2*i-1))./measure_frittsign_4ms(:,(2*i-1))))), char(colorm(3)),'LineWidth',lw);
	g(:,2) = semilogx(fvecs,(20*log10(abs(simulation_0_jm(:,i)))), char(colorm(3)),'LineWidth',lw);
	g(:,3) = semilogx(fvecs,(20*log10(abs(simulation_0_ps(:,i)))), char(colorm(4)),'LineWidth',lw);
	g(:,4) = semilogx(fvecs,(20*log10(abs(simulation_0_jm_edb1(:,i)))), char(colorm(5)),'LineWidth',lw);
	grid on
	axis([100 24000 -20 20])
%	set(gca,'YTick',-15:3:15)
	xlabel('Frekvens [Hz]')
	ylabel('Forsterkning [dB]')
	titlestring = sprintf('Resultater fra maalinger og simuleringer med frontplate 0 - posisjon %d', i-1);
	title(titlestring)
	g=g(1,:);
	h=legend(g,legendtekst2,'Location','NorthEastOutside');
	v = get(h,'title');
	set(v,'string','Tegnforklaringer');
%	set(gca,'XTick',x_t)
%	set(gca,'XTickLabel',x_l)


if printing == 1
	str2 = sprintf('fp0_pos_%d.eps',i-1);
	print('-depsc2', fullfile(printingpath,str2));

else

end

    k=k+1;
end

clear g;

%
% FRONTPLATE A
%



for i = 1:8
figure(k)
	g(:,1) = semilogx(fvecm,(20*log10(abs(measure_a_sign_2ms(:,(2*i-1))./measure_frittsign_2ms(:,(2*i-1))))), char(colorm(2)),'LineWidth',lw);
	hold on
%	g(:,2) = semilogx(fvecm,(20*log10(abs(measure_a_sign_4ms(:,(2*i-1))./measure_frittsign_4ms(:,(2*i-1))))), char(colorm(3)),'LineWidth',lw);
	g(:,2) = semilogx(fvecs,(20*log10(abs(simulation_a_jm(:,i)))), char(colorm(3)),'LineWidth',lw);
	g(:,3) = semilogx(fvecs,(20*log10(abs(simulation_a_ps(:,i)))), char(colorm(4)),'LineWidth',lw);
	grid on


%	set(gca,'YTick',-15:3:15)
	axis([100 24000 -20 20])
	xlabel('Frekvens [Hz]')
	ylabel('Forsterkning [dB]')
	titlestring = sprintf('Resultater fra maalinger og simuleringer med frontplate A - posisjon %d', i-1);
	title(titlestring)
	g=g(1,:);
	h=legend(g,legendtekst,'Location','NorthEastOutside');
	v = get(h,'title');
	set(v,'string','Tegnforklaringer');
%	set(gca,'XTick',x_t)
%	set(gca,'XTickLabel',x_l)


if printing == 1
	str2 = sprintf('fpa_pos_%d.eps',i-1);
	print('-depsc2', fullfile(printingpath,str2));
end

k=k+1;
end


clear g;





%
% FRONTPLATE B
%



for i = 1:8
figure(k)
	g(:,1) = semilogx(fvecm,(20*log10(abs(measure_b_sign_2ms(:,(2*i-1))./measure_frittsign_2ms(:,(2*i-1))))), char(colorm(2)),'LineWidth',lw);
	hold on
%	g(:,2) = semilogx(fvecm,(20*log10(abs(measure_b_sign_4ms(:,(2*i-1))./measure_frittsign_4ms(:,(2*i-1))))), char(colorm(3)),'LineWidth',lw);
	g(:,2) = semilogx(fvecs,(20*log10(abs(simulation_b_jm(:,i)))), char(colorm(3)),'LineWidth',lw);
	g(:,3) = semilogx(fvecs,(20*log10(abs(simulation_b_ps(:,i)))), char(colorm(4)),'LineWidth',lw);
	grid on
	axis([100 24000 -20 20])
%	set(gca,'YTick',-15:3:15)
	xlabel('Frekvens [Hz]')
	ylabel('Forsterkning [dB]')

	titlestring = sprintf('Resultater fra maalinger og simuleringer med frontplate B - posisjon %d', i-1);
	title(titlestring)
	g=g(1,:);
	h=legend(g,legendtekst,'Location','NorthEastOutside');
	v = get(h,'title');
	set(v,'string','Tegnforklaringer');
%	set(gca,'XTick',x_t)
%	set(gca,'XTickLabel',x_l)


if printing == 1
	str2 = sprintf('fpb_pos_%d.eps',i-1);
	print('-depsc2', fullfile(printingpath,str2));


end

k=k+1;
end

clear g;

%
% FRONTPLATE C
%



for i = 1:9
figure(k)
	g(:,1) = semilogx(fvecm,(20*log10(abs(measure_c_sign_2ms(:,(2*i-1))./measure_frittsign_2ms(:,(2*i-1))))), char(colorm(2)),'LineWidth',lw);
	hold on
%	g(:,2) = semilogx(fvecm,(20*log10(abs(measure_c_sign_4ms(:,(2*i-1))./measure_frittsign_4ms(:,(2*i-1))))), char(colorm(3)),'LineWidth',lw);
	g(:,2) = semilogx(fvecs,(20*log10(abs(simulation_c_jm(:,i)))), char(colorm(3)),'LineWidth',lw);
	g(:,3) = semilogx(fvecs,(20*log10(abs(simulation_c_ps(:,i)))), char(colorm(4)),'LineWidth',lw);
	grid on
	axis([100 24000 -20 20])
%	set(gca,'YTick',-15:3:15)
	xlabel('Frekvens [Hz]')
	ylabel('Forsterkning [dB]')

	titlestring = sprintf('Resultater fra maalinger og simuleringer med frontplate C - posisjon %d', i-1);
	title(titlestring)
	g=g(1,:);
	h=legend(g,legendtekst,'Location','NorthEastOutside');
	v = get(h,'title');
	set(v,'string','Tegnforklaringer');
%	set(gca,'XTick',x_t)
%	set(gca,'XTickLabel',x_l)


if printing == 1
	str2 = sprintf('fpc_pos_%d.eps',i-1);
	print('-depsc2', fullfile(printingpath,str2));
else

end

k=k+1;
end

