close all;
clear all;

load('measurement.mat');
load('simulation_workspace_jm.mat');

fvecm = measure_Fs/measure_nfft * [0:measure_nfft/2];
fvecs = simulation_Fs/measure_nfft * [0:measure_nfft/2];

colorsnr = {'k','b','g','r','c','m','y',':k',':b',':g',':r',':c',':m',':y'};
colorm2 = {':k',':b',':g',':r',':c',':m',':y'};
colors = {'--k','--b','--g','--r','--c','--m','--y'};

legendsnr = {'Pos. 0','Pos. 1','Pos. 2','Pos. 3','Pos. 4','Pos. 5','Pos. 6','Pos. 7','Pos. 8','Pos. 9','Pos. 10'};


lw=1.00;

k=1;


figure(k)
subplot(2,1,1)

for i = 1:11


	g1(:,i) = semilogx(fvecm,(20*log10(abs(measure_0_sign_2ms(:,(2*i-1))./measure_0_stoy_2ms(:,(2*i-1))))), char(colorsnr(i)),'LineWidth',lw);
	hold on
	
end
grid on
axis([100 24000 20 100])
g1=g1(1,:);
h=legend(g1,legendsnr(1:11),'Location','NorthEastOutside');
v = get(h,'title');
set(v,'string','Tegnforklaringer');
titlestring = sprintf('Signal/stoy-forhold til maalinger med frontplate 0');
title(titlestring)
xlabel('Frekvens [Hz]')
ylabel('SNR [dB]')


subplot(2,1,2)

clear i;

for i = 1:8


	g2(:,i) = semilogx(fvecm,(20*log10(abs(measure_a_sign_2ms(:,(2*i))./measure_a_stoy_2ms(:,(2*i))))), char(colorsnr(i)),'LineWidth',lw);
	hold on
	
end

axis([100 24000 20 100])
grid on
g2=g2(1,:);
h=legend(g2,legendsnr(1:8),'Location','NorthEastOutside');
v = get(h,'title');
set(v,'string','Tegnforklaringer');
titlestring = sprintf('Signal/stoy-forhold til maalinger med frontplate A');
title(titlestring)
xlabel('Frekvens [Hz]')
ylabel('SNR [dB]')

print -depsc2 'E:/Dropbox/Masteroppgave/Rapport/figs/results/snr_fp0_fpa.eps';


k=k+1;
%%%SNR FPB og FPC

figure(k)
subplot(2,1,1)

for i = 1:8


	g3(:,i) = semilogx(fvecm,(20*log10(abs(measure_b_sign_2ms(:,(2*i-1))./measure_b_stoy_2ms(:,(2*i-1))))), char(colorsnr(i)),'LineWidth',lw);
	hold on
	
end
grid on
axis([100 24000 20 100])
g3=g3(1,:);
h=legend(g3,legendsnr(1:8),'Location','NorthEastOutside');
v = get(h,'title');
set(v,'string','Tegnforklaringer');
titlestring = sprintf('Signal/stoy-forhold til maalinger med frontplate B');
title(titlestring)
xlabel('Frekvens [Hz]')
ylabel('SNR [dB]')


subplot(2,1,2)

clear i;

for i = 1:9


	g4(:,i) = semilogx(fvecm,(20*log10(abs(measure_c_sign_2ms(:,(2*i-1))./measure_c_stoy_2ms(:,(2*i-1))))), char(colorsnr(i)),'LineWidth',lw);
	hold on
	
end

axis([100 24000 20 100])
grid on
g4=g4(1,:);
h=legend(g4,legendsnr(1:9),'Location','NorthEastOutside');
v = get(h,'title');
set(v,'string','Tegnforklaringer');
titlestring = sprintf('Signal/stoy-forhold til maalinger med frontplate C');
title(titlestring)
xlabel('Frekvens [Hz]')
ylabel('SNR [dB]')

print -depsc2 'E:/Dropbox/Masteroppgave/Rapport/figs/results/snr_fpb_fpc.eps';

