%
% Valg av sweep-lengde
%

% Blanke ut Workspace
clear all;
close all;

% Plassering av maaledata
filepath = cellstr('E:\Dropbox\Masteroppgave\Matlab\Measurement\2014-02-21\');



% Plassering av maalinger
sweep = cellstr(['\01s_sweep\';'\02s_sweep\';'\04s_sweep\';'\08s_sweep\';'\16s_sweep\']);

% Filnavn for 'fritt signal'-maalinger
frittsign =  cellstr(['frittsign01.wmb';'frittsign02.wmb';'frittsign03.wmb';'frittsign04.wmb'; ...
'frittsign05.wmb';'frittsign06.wmb';'frittsign07.wmb';'frittsign08.wmb';'frittsign09.wmb';...
'frittsign10.wmb';'frittsign11.wmb';'frittsign12.wmb';'frittsign13.wmb';'frittsign14.wmb';...
'frittsign15.wmb';'frittsign16.wmb']);

% Filnavn for 'signal'-maalinger
sign1 =  cellstr(['sign01.wmb';'sign02.wmb';'sign03.wmb';'sign04.wmb'; ...
'sign05.wmb';'sign06.wmb';'sign07.wmb';'sign08.wmb';'sign09.wmb';...
'sign10.wmb';'sign11.wmb';'sign12.wmb';'sign13.wmb';'sign14.wmb';...
'sign15.wmb';'sign16.wmb']);


% Filnavn for 'stoy'-maalinger
stoy =  cellstr(['stoy01.wmb';'stoy02.wmb';'stoy03.wmb';'stoy04.wmb'; ...
'stoy05.wmb';'stoy06.wmb';'stoy07.wmb';'stoy08.wmb';'stoy09.wmb';...
'stoy10.wmb';'stoy11.wmb';'stoy12.wmb';'stoy13.wmb';'stoy14.wmb';...
'stoy15.wmb';'stoy16.wmb']);


% Generere filplasseringer for 'frittsignal'-maalinger
k = 1;

for i=1:length(sweep)
	for j=1:length(frittsign)
		frittsignfilnavn(k) = fullfile(filepath,sweep(i),frittsign(j));
		k = k + 1;
	end
end

clear i; clear j; clear k;


% Generere filplasseringer for 'signal'-maalinger
k = 1;

for i=1:length(sweep)
	for j=1:length(sign1)
		signfilnavn(k) = fullfile(filepath,sweep(i),sign1(j));
		k = k + 1;
	end
end

clear i; clear j; clear k;


% Generere filplasseringer for 'stoy'-maalinger
k = 1;

for i=1:length(sweep)
	for j=1:length(stoy)
		stoyfilnavn(k) = fullfile(filepath,sweep(i),stoy(j));
		k = k + 1;
	end
end

clear i; clear j; clear k;


% Gjenbruk av variabel
clear frittsign;

% Lese inn 'frittsign'-maalinger
for i = 1: length(frittsignfilnavn)
	[frittsign(:,i),Fs(i)]=loadimp(char(frittsignfilnavn(i)));
end

clear i;


% Gjenbruk av variabel
clear sign1;

% Lese inn 'sign'-maalinger
for i = 1: length(signfilnavn)
	[sign1(:,i),Fs(i)]=loadimp(char(signfilnavn(i)));
end

clear i;


% Gjenbruk av variabel
clear stoy;

% Lese inn 'stoy'-maalinger
for i = 1: length(stoyfilnavn)
	[stoy(:,i),Fs(i)]=loadimp(char(stoyfilnavn(i)));
end

clear i;

w=1;
Fsk=48;
peaksign=430;
peakfritt=434;

iv_sign = peaksign-w*Fsk:peaksign+w*Fsk-1;
iv_fritt = peakfritt-w*Fsk:peakfritt+w*Fsk-1;
iv = iv_sign;


% iv=458:458+600;
%iv = 420:420+80;
%iv_sign=420:420+80;
%iv_fritt=424:424+80;


%FRITT PEAK: sample nr: 434

%SIGN PEAK: sample nr 430













%color=['b','b','r','r','g','g','m','m','y','y','c','c','--b','--b','--r','--r','--g','--g','--m','--m','--y','--y'];
%color=['-b','-r','-g','-m','-y','-c',':b',':r',':g',':m',':y',':c'];
%color=cellstr(['-b';'-r';'-g';'-m';'-y';'-c';':b';':r';':g';':m';':y';':c']);
%j=1;

nfft = 16384;
fvec = Fs(1)/nfft * [0:nfft/2];
startvec = 1:16:80;
stopvec = 16:16:80;
colorvec = ['k','b','g','r','c'];
x_t=[100 200 300 400 500 600 700 800 900 1000 2000 3000 4000 5000 6000 7000 8000 9000 10000 20000 24000];
x_l={'100','200','','','500','','','','','1000','2000','','' '5000','','','','','10000','','24000'};
legendtekst = {'1 sek.','2 sek.','4 sek.','8 sek.','16 sek.'};


BigF1 = fft(sign1(iv_sign,:),nfft);
BigF1 = abs(BigF1(1:nfft/2+1,:));
BigF2 = fft(stoy(iv,:),nfft);
BigF2 = abs(BigF2(1:nfft/2+1,:));
BigF3 = fft(frittsign(iv_fritt,:),nfft);
BigF3 = abs(BigF3(1:nfft/2+1,:));

figure(1)
subplot(2,1,1)


%Plotte sign/frittsign
for i = 1:5

	g(:,i) = semilogx(fvec,20*log10(abs(BigF1(:,startvec(i):8:stopvec(i))./BigF3(:,startvec(i):8:stopvec(i)))),char(colorvec(i)),'LineWidth',1.00);
	hold on;
end

grid on
axis([100 24000 -20 20])
xlabel('Frekvens [Hz]')
ylabel('Forsterkning [dB]')
%suptitle('Frekvensrespons til impulsresons med ulike sweep-legnder')
title('Frekvensresponsen til maalinger med ulik sweep-lengde')
g=g(1,:);
legend(g,legendtekst,'Location','NorthEastOutside')
%set(gca,'XTick',x_t)
%set(gca,'XTickLabel',x_l)


clear i; clear g;

% Plotte stoy/frittsign
subplot(2,1,2)

for i = 1:5
	g(:,i)=semilogx(fvec,20*log10(abs(BigF1(:,startvec(i):8:stopvec(i))./BigF2(:,startvec(i):8:stopvec(i)))),char(colorvec(i)),'LineWidth',1.00);
	hold on;

end

grid on
axis([100 24000 0 120])
xlabel('Frekvens [Hz]')
ylabel('SNR [dB]')
title('Signal/stoy-forhold til maalinger med ulik sweep-lengde')
g=g(1,:);
legend(g,legendtekst,'Location','NorthEastOutside')
%%set(gca,'XTick',x_t)
%set(gca,'XTickLabel',x_l)

print -depsc2 'E:\Dropbox\Masteroppgave\Rapport\figs\valgavsweeps.eps'
%print -dpng  'E:\Dropbox\Masteroppgave\Rapport\figs\valgavsweep.png'


