% Simulation setup for frontplate B

global FSAMP CAIR RHOAIR SHOWTEXT
% CAIR ≈ 331.6 + 0.6*T_celsius
FSAMP = 48000;  CAIR = 344;  RHOAIR = 1.21;
SHOWTEXT = 1;

% Filepath and input file
jm = 1;  % JM: Filepath for Joakim Myren
%ps = 1; % PS. Filepath for Peter Svensson


if jm == 1
	Filepath = 'E:\Dropbox\Masteroppgave\Matlab\Measurement\Frontplate\fpb-simulation-jm\';
	CADfile =  'E:\Dropbox\Masteroppgave\Matlab\Measurement\Frontplate\simulation_model_frontplateb.cad';

elseif ps == 1
	Filepath = '/Users/svensson/Documents/Projekt/Dokum_EDdatain/Frontplate/fpb-simulation-ps/';
	CADfile =  '/Users/svensson/Documents/Projekt/Dokum_EDdatain/Frontplate/simulation_model_frontplateb.cad';

else
	Filepath = pwd;
	CADfile = fullfile(pwd,'simulation_model_frontplatea.cad')
end

Filestem = mfilename;


% Calculation parameters
EDcalcmethod = 'n';
directsound = 1;
specorder = 2;   % irrelevant
difforder = 2;   % irrelevant
elemsize = [1 0.71 0.71 0.35];   % irrelevant
nedgesubs = 2;   % irrelevant
calcpaths = 1;  
calcirs = 1;
calctfs = 0;
calcinteq = 0;
calcinteq_souterms = 1;
calcinteq_edgeterms = 1;
calcinteq_propagate = 1;
inteq_solmethod = 5;
inteq_niter = 20;
inteq_ngauss = 8;
inteq_discretizationtype = 2;
frequencies = logspace(log10(20),log10(24000),100);

open_or_closed_model = 'closed';
int_or_ext_model = 'ext';


% Sources and receivers
sources = [0 0 2.30];

%receivers = [0 0 -0.0387];
xposreceivers = [0.0000, 0.0100, 0.0200, 0.0300, 0.0400, 0.0500, 0.0600, 0.0700];
yposreceivers = 0.0000001 +[0.0000, 0.0000, 0.0000, 0.0000, 0.0000, 0.0000, 0.0000, 0.0000];
zposreceivers = [-0.0387, -0.0387, -0.0387, -0.0387, -0.0187, -0.0187, -0.0187, -0.0187];
receivers = [xposreceivers' yposreceivers' zposreceivers'];



% Extra parameters
skipcorners = 1000000;  Rstart = 0;  saveindividualdiffirs = [1 0];

if exist('doplot') == 1
    if doplot == 1
        
        nfft = 16384;
        fvec = FSAMP/nfft*[0:nfft/2-1];
        
        F = fft(full(irtot),nfft);
        
        semilogx(fvec,20*log10(abs(F(1:nfft/2))))
        
    end
end
