% Rydde workspace
close all;
clear all;

% Plassering av impulsresponser
ir_sign_filename = char('E:\Dropbox\Masteroppgave\Matlab\Measurement\2014-05-29\Frontplate_C\fp_c_pos_0_sign_1.wmb');
ir_fritt_filename = char('E:\Dropbox\Masteroppgave\Matlab\Measurement\2014-05-29\Frittfeltmal\frittfelt_pos_00_sign_1.wmb');

% Lese inn impulsresponser
[ir_sign, Fs_ir_sign] = loadimp(ir_sign_filename);
[ir_fritt, Fs_ir_fritt] = loadimp(ir_fritt_filename);

% Kontrollere av Fs er like
if (Fs_ir_sign == Fs_ir_fritt) == 1
else error('Error Fs is not eaql')
end

% Opprydding
Fs = Fs_ir_sign;
clear Fs_ir_sign;
clear Fs_ir_fritt;

% Fs i tusendeler
Fsk = Fs./1000;

% Valg av tidsvindu i ms
% w = 1:2:20;
% ws = Fsk.*w; % Tidsvindu i sampler

% Finn toppunkt til impulsrespons
[ir_sign_peak] = findinit(ir_sign.^2,0.0001);
[ir_fritt_peak] = findinit(ir_fritt.^2,0.0001);

% 
% iv_sign = (ir_sign_peak-Fsk):(ir_sign_peak+ws(:))
% iv_fritt = (ir_sign_peak


nfft = 16384;
fvec = Fs(1)/nfft * [0:nfft/2];



i = 1;

for w = 1:8
	for x = 1:2
	BigF1(:,i) = fft(ir_sign(ir_sign_peak-x*Fsk:ir_sign_peak+(Fsk*w)),nfft);
	BigF2(:,i) = fft(ir_fritt(ir_fritt_peak-x*Fsk:ir_fritt_peak+(Fsk*w)),nfft);
	i = i +1;
	end
end

BigF1 = abs(BigF1(1:nfft/2+1,:));
BigF2 = abs(BigF2(1:nfft/2+1,:));


clear i;

xvec = (-2*48:7*48-1)/48;
ir_sign_norm = ir_sign./max(ir_sign);
ir_fritt_norm = ir_fritt./max(ir_fritt);

figure(1)
subplot(3,1,1)

plot(xvec,ir_sign_norm(ir_sign_peak-2*Fsk:ir_sign_peak+7*Fsk-1),'LineWidth',1.00)
grid
axis([-2 7 -1.1 1.1])
title('Impulsrespons fra signal-maaling med FP0 fra -2 ms foer til 7 ms etter peak')
xlabel('Tid [ms]')
ylabel('Amplitude [normalisert]')


subplot(3,1,2)
plot(xvec,ir_fritt_norm(ir_fritt_peak-2*Fsk:ir_fritt_peak+7*Fsk-1),'LineWidth',1.00)
grid
axis([-2 7 -1.1 1.1])
title('Impulsrespons fra fritt signal-maaling uten FP0 fra -2 ms foer til 7 ms etter peak')
xlabel('Tid [ms]')
ylabel('Amplitude [normalisert]')


print -depsc2 'E:\Dropbox\Masteroppgave\Rapport\figs\tidsvindu_imp.eps';

k=1;

einto = [1 2 1 2 1 2 1 2 1 2 1 2 1 2 1 2 1 2 1 2 1 2 1 2 1 2 1 2 1 2 1 2 1 2 1 2 1 2 1 2];

figure(2)
subplot(3,1,1)
semilogx(fvec,20*log10(abs(BigF1(:,1)./BigF2(:,1))),'LineWidth',1.00)
axis([100 24000 -2 15])
xlabel('Frekvens [Hz]')
ylabel('Forsterkning [dB]')
title('Tidsvindu: 1 ms foer peak og 1 ms etter peak')
grid
subplot(3,1,2)
semilogx(fvec,20*log10(abs(BigF1(:,2)./BigF2(:,2))),'LineWidth',1.00)
axis([100 24000 -2 15])
grid
xlabel('Frekvens [Hz]')
ylabel('Forsterkning [dB]')
title('Tidsvindu: 2 ms foer peak og 1 ms etter peak')

print -depsc2 'E:\Dropbox\Masteroppgave\Rapport\figs\tidsvindu_1.eps';


figure(3)
subplot(3,1,1)
semilogx(fvec,20*log10(abs(BigF1(:,1)./BigF2(:,1))),'LineWidth',1.00)
axis([100 24000 -2 15])
xlabel('Frekvens [Hz]')
ylabel('Forsterkning [dB]')
title('Tidsvindu: 1 ms foer peak og 1 ms etter peak')
grid
subplot(3,1,2)
semilogx(fvec,20*log10(abs(BigF1(:,5)./BigF2(:,5))),'LineWidth',1.00)
axis([100 24000 -2 15])
grid
xlabel('Frekvens [Hz]')
ylabel('Forsterkning [dB]')
title('Tidsvindu: 1 ms foer peak og 3 ms etter peak')

subplot(3,1,3)
semilogx(fvec,20*log10(abs(BigF1(:,13)./BigF2(:,13))),'LineWidth',1.00)
axis([100 24000 -2 15])
grid
xlabel('Frekvens [Hz]')
ylabel('Forsterkning [dB]')
title('Tidsvindu: 1 ms foer peak og 7 ms etter peak')

print -depsc2 'E:\Dropbox\Masteroppgave\Rapport\figs\tidsvindu_2.eps';
